Open forum

Kennisnet Federatie Plugin voor Moodle 2.6

 
Foto van Jan Lange, de.
Kennisnet Federatie Plugin voor Moodle 2.6
 

Dag,

In Moodle 2.4 werkte de Kennisnet Plugin (Entree) nog zonder problemen.

Na upgrade Moodle 2.6 en installatie van de plugin (overigens geschikt tot 2.2 volgens kennisnet) lijkt de werking anders.

In Moodle beheer authenticatie komt de plugin SSO netjes te staan maar bij activering kan ik niet meer inloggen.
Vervolgens weer uitgezet en inloggen op gekoppelde sites werkt over het algemeen prima (zoek ik nog uit). Mijn naam komt in beeld op de site van Teleblik na een doorklik uit Moodle. Dit ondanks dat het 'oogje' in authenticatie dicht is.

Wie kan mij helpen?
Of bij wie werkt de plugin in Moodle 2.6 wel met het 'oogje' open?

Groet,
J.

 
Gemiddelde van de beoordelingen:  -
Peter Jonker
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Beste Jan, wij hosten voor meerdere scholen. Zelf heb ik de vraag bij Kennisnet uitgezet. Misschien een idee als jij ook daar de vraag neerlegt?

 
Gemiddelde van de beoordelingen:  -
Peter Jonker
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Jan, al snel antwoord ontvangen van Kennisnet. Hieronder het antwoord. Lost dat jouw probleem op?

De plug-in is ooit door een externe partij gemaakt in opdracht van Kennisnet.
Kennisnet heeft besloten om de plug-in niet verder te ontwikkelen.
Het idee was dat de community van Moodle de plug-in verder zou ontwikkelen, dit is alleen nooit gebeurd.

Waarschijnlijk hebben we destijds getest met moodle 2.3 en werkte de plug-in in die release niet, vandaar de melding "tot en met Moodle 2.2".

Meestal is het enige dat niet werkt de vooraanmelding, dit kan je eventueel ook handmatig gedaan worden met een script in een hidden iframe.
http://www.kennisnet.nl/diensten/kennisnet-federatie/onderwijsinstellingen/vooraanmelding/

 
Gemiddelde van de beoordelingen:  -
Foto van jorg duitsman
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Dit is dus wat wij aan de hand hebben met malmberg.  Als leerlingen willen inloggen lukt dat ook pas na twee keer. Na diverse telefoontjes met malmberg kreeg ik onderstaand antwoord.

Maar hoe ik dit precies moet doen waar moet ik die cookie plaatsen?

 

...ik heb geen idee. Wie helpt me uit de brand...

 

Wij hebben hierover contact gehad met Kennisnet omdat het erop lijkt dat er iets mis is met de SSO koppeling vanuit Moodle met Kennisnet.
Van Kennisnet ontving ik de volgende informatie:

Het kan zijn dat de vooraanmelding niet gedaan wordt met bepaalde versies van Moodle.Plugin voor Moodle 1.x (werkt niet met PhP 5.3 of hoger)Plugin voor Moodle 2.x (tot en met Moodle 2.2)
De vooraanmelding kan ook handmatig gedaan worden middels een hidden iframe.
http://www.kennisnet.nl/diensten/kennisnet-federatie/onderwijsinstellingen/vooraanmelding/

Met deze gegevens kan de SSO notificatie cookie geplaatst worden:
Elo Id: moodle.vanmaerlantlyceum Elo URL:
http://*.naam school

 
Gemiddelde van de beoordelingen:  -
Wazza
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Hoi Jorg,

Bij ons werkt het ook goed met Malmberg, ik herken dit probleem dus niet. Ik maak me wel een klein beetje zorgen als er richting uitgeverijen en Kennisnet gemeld wordt dat er iets niet goed loopt met de Moodle-Federatie koppeling. Straks gaan ze daar nog iets wijzigen, dat zou bij ons misschien weer tot problemen kunnen leiden.

 

 
Gemiddelde van de beoordelingen:  -
Wazza
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Bij ons werkt de Kennisnet Federatieplugin gewoon, we zitten nu op versie 2.6

Wij doen hier technisch niets aan maar hosten onze Moodle bij www.openedu.nl

Misschien daar eens vragen?

 

 
Gemiddelde van de beoordelingen:  -
Foto van Jan Lange, de.
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Beide dank,

Helaas lukt het niet met het bestand op kennisnet in een iframe. Op een rustig moment zal ik hier nog eens naar kijken.

Dank voor tip om contact op te nemen met openedu. Hopelijk kunnen en willen ze helpen.

Gr./J.

 
Gemiddelde van de beoordelingen:  -
Foto van Jan Lange, de.
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Iframe lukt helaas nog steeds niet.

Aan Malmberg het verzoek gedaan om hun inlogscherm te voorzien van een mogelijkheid -inloggen met schoolaccount- met deze kan ik namelijk wel inloggen.Nu ontbreekt deze mogelijkheid bij Malmberg.

Tijdelijk laat ik leerlingen inloggen op Teleblik en inloggen met schoolaccount. Vervolgens kan ik wel direct inloggen bij Malmberg. Hopelijk geven ze gehoor aan mijn verzoek.

Gr./J.

 
Gemiddelde van de beoordelingen:  -
Foto van Jan Lange, de.
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Dag,

Hierbij een vervolg:

Openedu heeft de plugin bijgewerkt voor Moodle 2.6. Helaas is het gebruik van deze plugin alleen voor klanten van Openedu.

Malmberg geeft een zelfde antwoord als kennisnet. Tevens heb ik nu een andere link waardoor inloggen toch nog een beetje fatsoenlijk kan. Dit omdat met deze link je kan kiezen voor schoolaccount. De link is: www.startmalmbergmbo.nl (ook toegang voor VO scholen)

De keuze van uitgevers voor het gebruik van lesmateriaal via entree e.d. dwingt de gebruiker in de toekomst om zich aan te sluiten bij een partij. De zelfstandige Moodleaars in het onderwijs gaan het zo niet redden. Of is er hoop met open materiaal zoals VOcontent? ..... We zullen zien.

Groet,

J.

 
Gemiddelde van de beoordelingen:  -
Foto van jorg duitsman
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Vandaag contact gehad met kennisnet federatie en de plugin voor moodle 2.6 schijnt goed te werken. Er moet nog wel een en ander op de server goed staan begreep ik. Als het nog niet werkt zou ik kennisnet even bellen over wat je moet aanpassen ( iets met pearl geloof ik )

Verder kunnen de leerlingen inderdaad gebruik gaan maken van de eerdere link maar ik hoor van malmberg dat er geprematched moet worden en dit wordt door moodle nog niet ondersteund ( zie bericht in dit forum) Ik weet niet hoe andere scholen hier mee omgaan maar zou dit graag willen weten. 

Groet Jorg

 
Gemiddelde van de beoordelingen:  -
Foto van Simon Bosman
Re: Kennisnet Federatie Plugin voor Moodle 2.6
 

Beste Jan,

De versie van de entree plugin werkt niet meer voor versies van Moodle 2.4 en hoger.

Ik heb de benodigde aanpassingen verricht aan de plugin om deze weer werkend te krijgen.

De code van de plugin is hier te vinden:


https://github.com/simonbosman/moodle-entree


Hoop dat je er wat aan hebt.

Met vriendelijke groet,


Simon Bosman

 
Gemiddelde van de beoordelingen:  -